@import "../../index.scss";

//--------- Profile image
.profile_bcg {
    max-height: 300px;
}
.card.profile-wrapper {
    margin-top: -6rem;
    background-color: transparent;
    box-shadow: none;
}
.profile-container {
    position: relative;
    span {
        cursor: pointer;
        position: absolute;
        top: 50%;
        right: 50%;
        transform: translate(235%, 50%);
        width: 35px;
        height: 35px;
        border-radius: 50%;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: gray("500");
        svg {
            font-size: 1.5rem;
            color: $primary;
        }
    }
}

@media screen and (max-width: 598px) {
    .profile_bcg {
        max-height: 200px;
    }
}

//--------- Profile image upload
.modal_wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(68, 63, 63, 0.5);
    z-index: 9999;
    .modal_container {
        position: relative;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        max-width: 450px;
        height: auto;
        background-color: $white;
        border-radius: 20px;
        padding: 2rem;
        .modal_header > svg {
            cursor: pointer;
            position: fixed;
            top: 0.5rem;
            right: 0.5rem;
            font-size: 1.8rem;
            color: theme-color("danger");
        }
    }
}
@media screen and (max-width: 320px) {
    .modal_wrapper {
        .modal_container {
            max-width: 300px;
        }
    }
}

//------------ Profile image upload input

.input_file-wrapper {
    position: relative;
    min-width: 200px;
    text-align: center;
    margin: 20px auto;
    span {
        background-color: theme-color("primary");
        padding: 1rem 1.5rem;
        border-radius: 20px;
        font-weight: 600;
        color: $white;
        cursor: pointer;
        z-index: 0;
        
    }
    #file-upload {
        display: inline-block;
        position: absolute;
        z-index: 1;
        width: 100%;
        height: 50px;
        top: -4px;
        left: -20px;
        opacity: 0;
        cursor: pointer;
    }
}

/*---------Tabs-----------*/
.nav-tabs {
    border-color: #fff !important;
    max-width: 700px;
    margin: auto;
}
.nav-tabs .nav-item {
    margin-left: 0.5rem !important;
    border-radius: 15px !important;
}

.nav-tabs .nav-link.active {
    border-radius: 15px !important;
    background-color: theme-color("primary") !important;
    color: theme-color("white") !important;
}
.nav-tabs li > button {
    color: theme-color("primary_l_600");
    font-weight: bold;
    background: transparent;
}
.nav-tabs .nav-link:hover {
    border: 1px solid transparent !important;
}

.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
    border-color: #fff !important;
}
.tab-content {
    min-height: 400px;
}